DataFilterSliderRendererBase (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.DataFilterSliderRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class DataFilterSliderRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.DataFilterSliderRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  DataFilterSliderRenderer

    public class DataFilterSliderRendererBase

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Author:
  Wesley Hales

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`DataFilterSliderRendererBase()`

Method Summary
`protected boolean` | `attributeToBoolean(javax.faces.component.UIComponent component, java.lang.String attributeName)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`java.lang.String` | `getEventHandlerFunction(UIDataFltrSlider slider, java.lang.String eventName)`
`java.util.Map` | `getRequestMap()`
`java.lang.String` | `renderSliderJs1(javax.faces.context.FacesContext context, UIDataFltrSlider slider)`
`java.lang.String` | `renderSliderJs2(javax.faces.context.FacesContext context, UIDataFltrSlider slider)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFilterSliderRendererBase

    public DataFilterSliderRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### getRequestMap

    public java.util.Map getRequestMap()

### getEventHandlerFunction

    public java.lang.String getEventHandlerFunction(UIDataFltrSlider slider,
                                                    java.lang.String eventName)

### renderSliderJs1

    public java.lang.String renderSliderJs1(javax.faces.context.FacesContext context,
                                            UIDataFltrSlider slider)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderSliderJs2

    public java.lang.String renderSliderJs2(javax.faces.context.FacesContext context,
                                            UIDataFltrSlider slider)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### attributeToBoolean

    protected boolean attributeToBoolean(javax.faces.component.UIComponent component,
                                         java.lang.String attributeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.